using Microsoft.Extensions.Logging;
using SlnMesnac.Repository.service;
using System;
using System.Collections.Generic;
using SlnMesnac.Repository;
using TouchSocket.Sockets;

namespace SlnMesnac.Business.@base
{
    public class BaseTaskInfoBusiness
    {
        public Action<List<AirportTask>> AirportTaskEvent;
        private ILogger<BaseTaskInfoBusiness> _logger;

        private IAirportTaskService _service;
        public BaseTaskInfoBusiness(ILogger<BaseTaskInfoBusiness> logger, IAirportTaskService service)
        {
            _logger = logger;
            _service = service;
        }

        public void GetTaskInfos()
        {
            try
            {
               List<AirportTask> TaskInfos = _service.GetTaskInfos();
            }
            catch (Exception ex)
            {

            }
        }

    }
}